/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");

interface definitionInterface{
    (message:string):void;
}

export default function Select(sql: string, callback: definitionInterface) {
    pool.query(sql, (rows) => {
        callback(rows);
        pool.releaseConnection(pool);
    });
}